=== debian/changelog ===
nootka (1.4.7-1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux:
     - a few improvements for instruments other than guitar.
     - properly display answer result messages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Jun 2020 10:26:31 -0700

nootka (1.4.6-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Now requires Qt 5 >= 5.4.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 16 Oct 2019 15:32:08 -0700

nootka (1.4.5-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX 17.
  * Disable automatic dbgsym packages and bump to debhelper 10 compat to
    support the override.
  * Refresh qmaxfix.patch
  * Fix up long and short descriptions.
  * Add timidity as a Recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 May 2019 08:46:28 -0700
