=== debian/control ===
Source: nootka
Section: sound
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libasound2-dev,
 libfftw3-dev,
 libjack-dev,
 libpulse-dev,
 libsoundtouch-dev,
 libvorbis-dev,
 pkg-kde-tools,
 qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://nootka.sourceforge.net/

Package: nootka
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: timidity
Description: application to learn classical score notation.
 Nootka is an application to learn classical score notation.
 Mostly it is for guitarists, but it can be used for ear training as well.
 .
 Features:
 numerous settings to personalize for user needs and capabilities
 natural, classical guitar sound output
 midi support for different name-callings of the notes
 scordatures
 exams with different levels
 levels creator with wide range of settings
